## hurd 0.9.git20241227

=== Makefile ===
#
#   Copyright (C) 1993-1999, 2001, 2002, 2004, 2006, 2009,
#   2011-2013, 2015-2019 Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := .
makemode := misc

DISTFILES := configure

include ./Makeconf

## Subdirectories of this directory should all be mentioned here

# Hurd libraries
lib-subdirs = libshouldbeinlibc libihash libiohelp libports \
	      libpager libfshelp libdiskfs libtrivfs libps \
	      libnetfs libpipe libstore libhurdbugaddr libftpconn libcons \
	      libhurd-slab \
	      libbpf \
	      libmachdev \
	      libirqhelp \

# Hurd programs
prog-subdirs = auth proc exec term \
	       ext2fs isofs tmpfs fatfs \
	       storeio pflocal pfinet defpager mach-defpager \
	       login daemons boot console \
	       hostmux usermux ftpfs trans \
	       console-client utils sutils libfshelp-tests \
	       benchmarks fstests \
	       procfs \
	       startup \
	       init \
	       devnode \
	       eth-multiplexer \
	       shutdown \
	       rtc

ifeq ($(HAVE_LIBRUMP),yes)
prog-subdirs += rumpdisk
endif

ifeq ($(HAVE_SUN_RPC),yes)
prog-subdirs += nfs nfsd
endif

ifeq ($(HAVE_LIBLWIP),yes)
prog-subdirs += lwip
endif

ifeq ($(HAVE_LIBPCIACCESS),yes)
prog-subdirs += pci-arbiter
endif

ifeq ($(HAVE_LIBACPICA),yes)
prog-subdirs += acpi
endif

# Other directories
other-subdirs = hurd doc config release include

# All the subdirectories together
subdirs = $(lib-subdirs) $(prog-subdirs) $(other-subdirs)

# This allows the creation of a file BROKEN in any of the prog-subdirs;
# that will prevent this top level Makefile from attempting to make it.
working-prog-subdirs := $(filter-out \
			  $(patsubst %/,%,\
				 $(dir $(wildcard $(prog-subdirs:=/BROKEN)))),\
			  $(prog-subdirs))


$(subdirs): version.h

## GNU Coding Standards targets (not all are here yet), and some other
## similar sorts of things

all: $(lib-subdirs) $(working-prog-subdirs)

# Create a distribution tar file.

git_describe := git describe --match '*release*'
dist-version := $(shell cd $(top_srcdir)/ && $(git_describe))

.PHONY: dist
ifdef configured
dist: $(foreach Z,xz gz,$(dist-version).tar.$(Z))
else
dist:
	@echo >&2 'Cannot build a distribution from an unconfigured tree.'
	false
endif

HEAD.tar: FORCE
	cd $(top_srcdir)/ && git status --short \
	  | $(AWK) '{ print; rc=1 } END { exit rc }' \
	  || { echo >&2 \
		'Refusing to build a distribution from dirty sources.' && \
		false; }
	(cd $(top_srcdir)/ && git archive --prefix=$(dist-version)/ HEAD) > $@

ChangeLog.tar: gen-ChangeLog
	tar -c -f $@ --owner=0 --group=0 \
	  --transform='s%^%$(dist-version)/%' $(ChangeLog_files)

# See the ChangeLog file.
gitlog-to-changelog_rev = \
  2772f5c6a6a51cf946fd95bf6ffe254273157a21..
ChangeLog_files = \
  $(filter-out :%,$(subst :, :,$(ChangeLog_specs)))
ChangeLog_specs = \
  ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  auth/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  benchmarks/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  boot/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  config/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  console-client/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  console/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  daemons/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  defpager/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  doc/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  exec/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  ext2fs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  fatfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  fstests/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  ftpfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  hostmux/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  hurd/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  include/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  init/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  isofs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libcons/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libdirmgt/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libdiskfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libfshelp/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libftpconn/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libhurdbugaddr/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libihash/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libiohelp/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libnetfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libpager/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libpipe/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libports/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libps/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libshouldbeinlibc/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libstore/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libthreads/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libtrivfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  login/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  mach-defpager/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  nfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  nfsd/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  pfinet/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  pflocal/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  proc/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  release/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  storeio/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  sutils/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  term/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  tmpfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  trans/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  usermux/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  utils/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21
# procfs
gitlog-to-changelog_rev += \
  ^aac4aaf42372f61c78061711916c81a9d5bcb42d~1
ChangeLog_specs += \
  procfs/ChangeLog:edb4593c38d421b5d538b221a991b50c36fdba15:ChangeLog
# random
gitlog-to-changelog_rev += \
  ^1ba2ed95690396bf081d0af043d878b26b8563c2~1
# Specify dummy ChangeLog file, will get overwritten.
ChangeLog_specs += \
  random/ChangeLog:HEAD:ChangeLog
.PHONY: gen-ChangeLog
gen-ChangeLog:
	$(AM_V_GEN)if test -d $(top_srcdir)/.git; then			\
	  rm -f $(ChangeLog_files) &&					\
	  (cd $(top_srcdir)/ &&						\
	  ./gitlog-to-changelog	--strip-tab				\
	    $(gitlog-to-changelog_rev) &&				\
	  echo) >> ChangeLog &&						\
	  (cd $(top_srcdir)/ &&						\
	  ./gitlog-to-changelog --strip-tab				\
	    edb4593c38d421b5d538b221a991b50c36fdba15..aac4aaf42372f61c78061711916c81a9d5bcb42d~1 && \
	  echo) >> procfs/ChangeLog &&					\
	  rm -f random/ChangeLog-1 &&					\
	  (cd $(top_srcdir)/ &&						\
	  ./gitlog-to-changelog --strip-tab				\
	    ac38884dc9ad32a11d09f55ba9fe399cd0a48e2f..1ba2ed95690396bf081d0af043d878b26b8563c2~1 && \
	  echo) >> random/ChangeLog-1 &&				\
	  for cs in $(ChangeLog_specs); do				\
	    f=$${cs%%:*} &&						\
	    s=$${cs#$$f:} && s_f=$$s:$$f && s=$${s_f/*:*:*/$$s} &&	\
	    (cd $(top_srcdir)/ &&					\
	    git show $$s) >> $$f					\
	    || exit $$?;						\
	  done &&							\
	  rm -f random/ChangeLog_ &&					\
	  (cd $(top_srcdir)/ &&						\
	  git ls-tree --name-only					\
	    ac38884dc9ad32a11d09f55ba9fe399cd0a48e2f) >> random/ChangeLog_ && \
	  rm -f random/ChangeLog-2 &&					\
	  perl \
	    -e 'print "2011-08-18  Gaël Le Mignot  <kilobug\@freesurf.fr>\n\n"; while(<>){s%^%\t* %;s%$$%: New file.%;print;}' \
	    < random/ChangeLog_ > random/ChangeLog-2 &&			\
	  cat random/ChangeLog-* > random/ChangeLog &&			\
	  rm random/ChangeLog?* &&					\
	  sed								\
	    -e 's%\* [ ]*%* procfs/%'					\
	    -e s%procfs/procfs/%procfs/%				\
	    -i procfs/ChangeLog &&					\
	  sed								\
	    -e 's%\* [ ]*%* random/%'					\
	    -i random/ChangeLog;					\
	fi

$(dist-version).tar: HEAD.tar $(addsuffix /dist-hook,hurd/.. $(subdirs)) ChangeLog.tar
	tar -c -f $@ --files-from=/dev/null
# Concatenate the tar files.  Have
# to do it one by one: <http://savannah.gnu.org/patch/?7757>.
	for f in HEAD.tar dist.tar */dist.tar ChangeLog.tar; do \
	  tar -v --concatenate -f $@ "$$f"; \
	done

clean: $(addsuffix -clean,$(subdirs)) clean-misc

relink: $(addsuffix -relink,$(lib-subdirs) $(prog-subdirs))

objs: $(addsuffix -objs,$(lib-subdirs) $(prog-subdirs))

install: $(addsuffix -install,$(lib-subdirs) $(working-prog-subdirs) \
	   $(other-subdirs))

install-headers: $(addsuffix -install-headers,$(lib-subdirs) \
		$(working-prog-subdirs)\
		$(other-subdirs))

TAGS: $(addsuffix -TAGS,$(working-prog-subdirs) $(lib-subdirs))
	etags -o $@ $(patsubst %-TAGS,-i %/TAGS,$^)

%.xz: %
	xz < $< > $@

%.gz: %
	gzip -9n < $< > $@

## Targets used by the main targets above.
$(prog-subdirs) $(lib-subdirs): FORCE
	$(MAKE) -C $@ all
FORCE:

%-clean:
	$(MAKE) -C $* clean no_deps=t

%-relink:
	$(MAKE) -C $* relink no_deps=t

%-objs:
	$(MAKE) -C $* objs

%-install:
	$(MAKE) -C $* install

%-install-headers:
	$(MAKE) -C $* install-headers

%-TAGS:
	$(MAKE) -C $* TAGS no_deps=t

.PHONY: %/dist-hook
%/dist-hook:
	$(MAKE) -C $* dist-hook no_deps=t dist-version=$(dist-version)

.PHONY: clean-misc distclean
clean-misc:
	rm -f HEAD.tar ChangeLog.tar $(ChangeLog_files)

distclean: clean
	rm -f config.make config.log config.status config.cache
ifneq (.,${srcdir})
	rm -f Makefile
endif


## Directory dependencies
#
# Some directories depend on others, so we need to find out exactly
# what they are.  This does that for us.

ifneq ($(no_deps),t)
-include $(addsuffix .d,$(subdirs))
endif

# How to build them
$(addsuffix .d,$(subdirs)): %.d: $(top_srcdir)/%/Makefile
	$(MAKE) -C $* directory-depend no_deps=t


## Build system

AUTOCONF = autoconf
AUTOCONF_FLAGS = -I $(top_srcdir)

$(top_srcdir)/configure: $(top_srcdir)/configure.ac $(top_srcdir)/aclocal.m4
	$(AUTOCONF) $(AUTOCONF_FLAGS) $< > $@
	chmod +x $@

config.status: $(top_srcdir)/configure
	$(SHELL) $@ --recheck

config.make: config.status $(top_srcdir)/config.make.in
# No stamp file is used here, as config.make's timestamp changing will not have
# any far-reaching consequences.
	$(SHELL) $< --file=$@

version.h: stamp-version; @:
stamp-version: version.h.in config.make
	sed -e 's/MASTER_HURD_VERSION/\"$(package-version)\"/' \
	  < $< > version.h.new
	$(move-if-change) version.h.new version.h
	touch $@

=== console-client/Makefile ===
#
#   Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2004,
#   2005, 2008, 2010, 2011, 2012, 2013, 2014, 2015, 2016 Free Software
#   Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := console-client
makemode := utilities

targets = console
CONSOLE_SRCS = console.c timer.c driver.c trans.c
VGA_SO_SRCS = bdf.c vga-dynafont.c vga-dynacolor.c vga-support.c vga.c fb.c
PC_KBD_SO_SRCS = pc-kbd.c kbd-repeat.c
PC_MOUSE_SO_SRCS = pc-mouse.c
GENERIC_SPEAKER_SO_SRCS = generic-speaker.c
CURRENT_VCS_SO_SRCS = current-vcs.c
SRCS = $(CONSOLE_SRCS) \
  $(VGA_SO_SRCS) $(PC_KBD_SO_SRCS) $(PC_MOUSE_SO_SRCS) \
  $(GENERIC_SPEAKER_SO_SRCS) $(CURRENT_VCS_SO_SRCS) $(XKB_SRCS)

VPATH += $(srcdir)/xkb
OBJS = $(addsuffix .o,$(basename $(notdir $(SRCS)))) kdioctlServer.o
HURDLIBS = cons ports netfs fshelp iohelp ihash shouldbeinlibc
LDLIBS = -ldl -lpthread $(libdaemon_LIBS)
module-dir = $(libdir)/hurd/console
console-LDFLAGS = -Wl,-E

CPPFLAGS += -I$(CURDIR)/xkb -I$(srcdir)/xkb $(libdaemon_CFLAGS)
LFLAGS = -i
XKB_DATA_FILES = keymap/hurd types/hurd symbols/hurd

# In seeking, thou shalt find it!
CPPFLAGS += -DQUAERENDO_INVENIETIS

include ../Makeconf

driver-CPPFLAGS = -D'CONSOLE_DEFPATH="$(module-dir)\0"' \
	-D'CONSOLE_SONAME_SUFFIX=".so.$(hurd-version)"'
driver-DEPS = $(..)config.make

console: $(CONSOLE_SRCS:.c=.o) \
	../libcons/libcons.a ../libfshelp/libfshelp.a \
	../libnetfs/libnetfs.a ../libiohelp/libiohelp.a \
	../libihash/libihash.a ../libports/libports.a \
	../libshouldbeinlibc/libshouldbeinlibc.a

modules = vga pc_kbd generic_speaker pc_mouse current_vcs

vga-CPPFLAGS = -DDEFAULT_VGA_FONT_DIR=\"${datadir}/hurd/\"
fb-CPPFLAGS = -DDEFAULT_VGA_FONT_DIR=\"${datadir}/hurd/\"
vga.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(VGA_SO_SRCS))
pc_kbd.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(PC_KBD_SO_SRCS)) \
	kdioctlServer_pic.o
pc_mouse.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(PC_MOUSE_SO_SRCS))
generic_speaker.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(GENERIC_SPEAKER_SO_SRCS))
current_vcs.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(CURRENT_VCS_SO_SRCS))

ifneq ($(LIBNCURSESW),)
NCURSESW_SO_SRCS = ncursesw.c
SRCS += $(NCURSESW_SO_SRCS)
modules += ncursesw
ncursesw.so.$(hurd-version): $(patsubst %.c,%_pic.o,$(NCURSESW_SO_SRCS))
ncursesw-CPPFLAGS = $(NCURSESW_INCLUDE)
ncursesw-LDLIBS = $(LIBNCURSESW)
endif

all: $(addsuffix .so.$(hurd-version), $(modules))

cleantarg += $(addsuffix .so.$(hurd-version), $(modules))

install: $(DESTDIR)$(module-dir) $(addprefix $(DESTDIR)$(module-dir)/,$(addsuffix .so.$(hurd-version),$(modules)))

$(DESTDIR)$(module-dir):
	@$(MKINSTALLDIRS) $@

$(DESTDIR)$(module-dir)/%: %
	$(INSTALL_DATA) $< $@

# You can use this rule to make a dynamically-loadable version of any
# of the modules.
%.so.$(hurd-version): 
	$(CC) -shared -Wl,-soname=$@ -o $@ $(lpath) \
		$(CFLAGS) $($*-CFLAGS) $(LDFLAGS) \
		$^ '-Wl,-(' $($*-LDLIBS) '-Wl,-)'

XKB_SRCS =
ifeq ($(HAVE_XKBCOMMON),yes)
XKB_SRCS = xkb/xkb.c xkb/xkbtimer.c
XKB_UNITS = $(basename $(notdir $(XKB_SRCS)))
pc_kbd.so.$(hurd-version): $(addsuffix _pic.o,$(XKB_UNITS))
pc-kbd-CFLAGS = -DXKB_SUPPORT $(XKBCOMMON_CFLAGS)
$(foreach XKB_UNIT, $(XKB_UNITS), $(eval $(XKB_UNIT)-CFLAGS = $(XKBCOMMON_CFLAGS)))
pc_kbd-LDLIBS = $(XKBCOMMON_LIBS)
endif

=== rumpdisk/Makefile ===
#
#   Copyright (C) 2019, 2023 Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

RUMPLIBS=rump rumpuser rumpdev rumpdev_disk rumpdev_pci rumpvfs
RUMPSATA=rumpdev_ahcisata rumpdev_piixide rumpdev_ata
RUMPUSB=rumpdev_usb rumpdev_pci_usbhc rumpdev_umass
RUMPEXTRA=rumpdev_scsipi

# If we have a configured tree, include the configuration so that we
# can conditionally build translators.
ifneq (,$(wildcard ../config.make))
 include ../config.make
endif

ifeq ($(HAVE_LIBRUMP_VFSNOFIFO),yes)
RUMPLIBS += rumpvfs_nofifofs
endif

dir := rumpdisk
makemode := servers

SRCS = main.c block-rump.c
LCLHDRS = block-rump.h ioccom-rump.h
targets = rumpdisk rumpusbdisk
HURDLIBS = machdev ports trivfs shouldbeinlibc iohelp ihash fshelp
LDLIBS += -lpthread -lpciaccess -ldl $(RUMPEXTRA:%=-l%_pic) \
	  -Wl,--whole-archive $(RUMPLIBS:%=-l%_pic) -Wl,--no-whole-archive

%.disk.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -D_RUMP_SATA -c $< -o $@
rumpdisk-OBJS = $(SRCS:.c=.disk.o)
rumpdisk-LDLIBS += -Wl,--whole-archive $(RUMPSATA:%=-l%_pic) -Wl,--no-whole-archive $(HURDLIBS:%=-l%)
rumpdisk rumpdisk.static: $(rumpdisk-OBJS)

%.usb.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@
rumpusbdisk-OBJS = $(SRCS:.c=.usb.o)
rumpusbdisk-LDLIBS += -Wl,--whole-archive $(RUMPUSB:%=-l%_pic) -Wl,--no-whole-archive $(HURDLIBS:%=-l%)
rumpusbdisk rumpusbdisk.static: $(rumpusbdisk-OBJS)

include ../Makeconf

=== debian/changelog ===
hurd (1:0.9.git20241227-4) unstable; urgency=medium

  * control: Also put packages in Built-Using, to keep their sources.
  * control: Use Rules-Requires-Root: debhelper/upstream-make-install rather
    than the whole binary-targets.
  * control: Make hurd-dev conflict with pslib-dev, which indeed also exposes
    a libps.so :/
  * patches/git-libdiskfs-crash-ro: Avoid crashing on system shutdown.
  * patches/exec_filename_exec.patch: Drop old experimental patch.
  * patches/exec_filename_fs.patch: Drop old experimental patch.
  * rules: Also build a static pflocal.
  * hurd-udeb.install.in: Move last files from /lib and /sbin
  * local/partman/commit.d/40hurd_reload-partitions: Also reload wd
    partitions.
  * patches/crash-logging.patch: Also dump a bit of stacks of crashed
    processes.
  * patches/git-rumpdisk-irqhelp: Also link libirqhelp in.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Feb 2025 20:12:59 +0000

hurd (1:0.9.git20241227-3) unstable; urgency=medium

  * patches/git-rtc2: Fix crash on reading.
  * patches/git-rtc3: Install hurd/rtc.h.
  * control: Build-depend on libncurses-dev instead of libncursesw5-dev
  * control: Fix replacing files in other packages.
  * rules: blhc: Ignore missing LDFLAGS in libstore_*.a production.
  * rules: blhc: Ignore missing flags lib gen_crc32table build.
  * patches/{devdir,hurddir}: Hardcode /dev and /hurd.
  * debian/rules: Set prefix to /usr, update installation rules.
  * debian/hurd-dev.install.in: Update installation paths.
  * debian/hurd-libs0.3-udeb.install.in: Ditto.
  * debian/hurd-libs0.3.install.in: Ditto.
  * debian/hurd-udeb.install.in: Ditto.
  * debian/hurd-udeb.links: Ditto.
  * debian/hurd.hurd-console.init: Ditto.
  * debian/hurd.install.in: Ditto.
  * debian/hurd.links: Ditto.
  * debian/not-installed: Ditto.
  * debian/hurd-dev.lintian-overrides: Update overrides.
  * debian/hurd-libs0.3-udeb.lintian-overrides: Ditto.
  * debian/hurd-libs0.3.lintian-overrides: Ditto.
  * debian/hurd.lintian-overrides: Ditto.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 14 Jan 2025 23:37:06 +0000

hurd (1:0.9.git20241227-2) unstable; urgency=medium

  * patches/git-fifo-close: Fix control socket of sv (Closes: Bug#1009712)
  * patches/git-pci-arbiter-bar: Fix mapping small BARs.
  * rules: Also build static versions of startup, proc, and auth, to make some
    booting situations easier.
  * patches/git-startup: Fix making startup parse parameters.
  * local/soundcard.h: fix calling SIO macros
  * local/soundcard.h: fix SNDCTL_DSP_GETERROR's use of struct audio_errinfo.
  * patches/git-rtc: Create /dev/rtc entry.
  * local/setup-translators: Create /dev/rtc entry.
  * control: Set Rules-Requires-Root to binary-targets.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 10 Jan 2025 13:58:53 +0000

hurd (1:0.9.git20241227-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - patches/git-device_get_status: Upstreamed.
    - patches/git-error: Upstreamed.
    - patches/git-ext2fs_os_hurd: Upstreamed.
    - patches/git-gcc-14: Upstreamed.
    - patches/git-libgcrypt: Upstreamed.
    - patches/git-lwip: Upstreamed.
    - patches/git-nfsd: Upstreamed.
    - patches/git-ports_interrupt_server: Upstreamed.
    - patches/git-skbuff: Upstreamed.
    - patches/git-skbuf_data: Fix build.
    - hurd.install.in, rules: Install /sbin/smp.
    - not-installed: Update.

  [ Johannes Schauer Marin Rodrigues ]
  * local/setup-translators: if set, respect SOURCE_DATE_EPOCH when running
    date (Closes: Bug#1089092)

  [ Samuel Thibault ]
  * local/soundcard.h: Add SNDCTL_DSP macros.
  * rules: Separate out -indep and -arch (Closes: Bug#1088280)
  * rules: Fix infodir.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 28 Dec 2024 08:53:36 +0000

hurd (1:0.9.git20240714-4) unstable; urgency=medium

  * daemons/console-run.c: fallback on runsystem.sysv rather than gnu.
  * patches/git-ports_interrupt_server: Add missing ports_interrupt_server
    declaration.
  * control: Provide mount.
  * hurd.install.in: Don't install the forks benchmark.
  * local/soundcard.h: Add more formats.
  * patches/ext2fs-crash: Try to make sure that ext2fs crash logs go to
    somewhere visible.
  * patches/git-{nfsd,lwip,device_get_status,skbuff}: Fix build on 64b.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Nov 2024 16:31:42 +0000

hurd (1:0.9.git20240714-3) unstable; urgency=medium

  * patches/git-gcc-14: Fix build with gcc 14.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Aug 2024 23:51:22 +0000

hurd (1:0.9.git20240714-2) unstable; urgency=medium

  * patches/crash-logging.patch: Fix building with gcc-14.
  * patches/git-error: Make sure to print early errors.
  * patches/git-ext2fs_os_hurd: Avoid requiring os_hurd for translators.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 25 Aug 2024 22:18:56 +0000

hurd (1:0.9.git20240714-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
    - patches/makedev.diff: Upstreamed.
    - patches/git-glibc-2.39: Upstreamed.
    - patches/git-runsystem: Upstreamed.
    - patches/implicit-function-declaration: Upstreamed.
    - hurd.install.in,hurd-udeb.install.in: Don't install xkb files any more.
    - control: Replace libx11-dev and xkb-data build-deps with libxkbcommon-dev.
  * patches/glibc-2.39: Fix build against glibc 2.39.
  * patches/git-runsystem: Upstreamed changes to runsystem.
  * patches/runsystem-race: Keep our work around for now, possibly not needed
    any more.
  * local/runsystem.sysv: Replace with just executing upstream's runsystem
    with the sysv init.
  * local/setup-translators: Also create /dev/pseudo-root, for subhurds.
  * hurd.preinst: Make sure to create /servers/{exec,startup} and /dev/console.
  * control: Replace pkg-config deps with pkgconf.
  * control: Use Static-Built-Using instead of Built-Using.
  * patches/implicit-function-declaration: Fix build with newer gcc.


=== debian/control ===
Source: hurd
Section: admin
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Standards-Version: 4.6.0
Build-Depends:
 texinfo,
 debhelper-compat (= 12), dpkg-dev (>= 1.17.14), dh-exec (>= 0.17),
 gawk, flex, bison,
Build-Depends-Arch:
 mig-for-host (>= 1.8+git20231217~) <!stage1 !stage2>,
 gnumach-dev (>= 2:1.8+git20231217~) <!stage1>,
 libc0.3-dev (>= 2.33-2~1) <!stage1>,
 libgcrypt20-dev (>= 1.11.0~) <!stage1 !stage2>,
 libncurses-dev <!stage1 !stage2>,
 libparted-dev <!stage1 !stage2>,
 librumpdev-disk-dev (>= 0~20211031-2) <!stage1 !stage2>,
 librumpdev-usb-dev <!stage1 !stage2>,
 libacpica-dev <!stage1 !stage2>,
 libpciaccess-dev <!stage1 !stage2>,
 libtirpc-dev <!stage1 !stage2>,
 libxkbcommon-dev <!stage1 !stage2>,
 x11proto-core-dev <!stage1 !stage2>,
 pkgconf <!stage1 !stage2>,
 libdaemon-dev <!stage1 !stage2>,
 libpcap0.8-dev <!stage1 !stage2>,
 zlib1g-dev <!stage1 !stage2>,
 libbz2-dev <!stage1 !stage2>,
 uuid-dev <!stage1 !stage2>,
 libblkid-dev <!stage1 !stage2>,
 liblwip-dev <!stage1 !stage2>
Rules-Requires-Root: debhelper/upstream-make-install
Uploaders: Michael Banck <mbanck@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Homepage: https://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: https://salsa.debian.org/hurd-team/hurd
Vcs-Git: https://salsa.debian.org/hurd-team/hurd.git

Package: hurd-libs0.3
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: netdde (<< 0.0.20200330-8~)
Architecture: hurd-any
Build-Profiles: <!stage1>
Multi-Arch: same
Description: GNU Hurd (libraries)
 This package contains the libraries used by GNU Hurd.

Package: hurd
Essential: yes
Pre-Depends: hurd-libs0.3, ${misc:Pre-Depends}
Depends: ${misc:Depends}, hurd-libs0.3 (= ${binary:Version}), sysv-rc <!stage2> | openrc <!stage2>, ${shlibs:Depends}, xkb-data <!stage2>, less, passwd
Breaks: gnumach-image-1-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1-xen-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-486-dbg (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-xen-486 (<< 2:1.8+git20210809-1~),
	gnumach-image-1.8-xen-486-dbg (<< 2:1.8+git20210809-1~),
	libc0.3 (<< 2.31-13+hurd.1~), netdde (<< 0.0.20121127-2),
	usrmerge (<< 33),
	grub-common (<< 2.06-13+hurd.2),
	makedev, login (<< 1:4.0.14-4), console-driver-xkb
Provides: makedev, login, console-driver-xkb, mount
Replaces: makedev, login (<< 1:4.0.14-4), random-egd, console-driver-xkb, initscripts (<< 2.95-4A)
Built-Using: ${built-using}
Static-Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source, netdde (>= 0.0.20120518~) <!stage2>
Architecture: hurd-any
Build-Profiles: <!stage1>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries.

Package: hurd-prof
Priority: optional
Pre-Depends: hurd-libs0.3
Depends: ${misc:Depends}, hurd-libs0.3 (= ${binary:Version}), ${shlibs:Depends}, xkb-data <!stage2>
Breaks: gnumach (<< 2:1.3.99.dfsg.cvs20070526-1), libc0.3 (<< 2.19-15~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Static-Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2 !pkg.hurd.noprof>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries, with gprof profiling enabled.

Package: hurd-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 libc0.3-dev (>= 2.13-31~) <!stage1>,
 hurd-libs0.3 (= ${binary:Version}) <!stage1>,
Provides: hurd-headers-dev, libihash-dev, libdde-linux26-dev <!stage2>
Replaces: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Breaks: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Conflicts: pslib-dev
Build-Profiles: <!stage1>
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.

Package: hurd-headers-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Build-Profiles: <stage1>
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.
 .
 This package is only used for bootstrap, it contains headers needed for libc

Package: hurd-doc
Priority: optional
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: www-browser
Description: GNU Hurd manual
 This package includes the manual in info and HTML format.

Package: hurd-libs0.3-udeb
Section: debian-installer
Package-Type: udeb
Priority: optional
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Hurd (libraries) - udeb
 This package contains the libraries used by GNU Hurd udeb.

Package: hurd-udeb
Package-Type: udeb
Priority: optional
Section: debian-installer
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2>
Depends: ${misc:Depends}, ${shlibs:Depends}, hurd-libs0.3-udeb (= ${binary:Version}), xkb-data-udeb
Built-Using: ${built-using}
Static-Built-Using: ${built-using}
Provides: hurd, ext2-modules, fat-modules, ipv6-modules, isofs-modules, loop-modules, mouse-modules, nfs-modules, socket-modules
Description: GNU Hurd - udeb
 This is the GNU Hurd udeb package. It contains essential system software and
 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_DESTDIR_UDEB = $(CURDIR)/debian/tmp-udeb
DEB_DESTDIR_PROF = $(CURDIR)/debian/tmp-prof

TRANSLATORS_PROF = auth exec ext2fs pci-arbiter pfinet lwip pflocal proc procfs term

CONFIGURE_ARGS = --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
ifeq (,$(filter stage1 stage2,$(DEB_BUILD_PROFILES)))
CONFIGURE_ARGS += --disable-profile --enable-static-progs='ext2fs,iso9660fs,rumpdisk,pci-arbiter,acpi,startup,proc,auth,pflocal'
else
CONFIGURE_ARGS += \
		 --disable-ncursesw \
		 --without-libbz2 \
		 --without-libz \
		 --without-parted \
		 --without-libcrypt \
		 --without-acpica \
		 --without-rump \
		 --without-libtirpc
# Skip some checks because they expect
# a working glibc causing a circular dependency.
# TODO: rather disable the corresponding features in configure.ac
export ac_cv_lib_pciaccess_pci_system_init=no
  ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
export ac_cv_search_clnt_create=no
export ac_cv_func_file_exec_paths=no
export ac_cv_func_exec_exec_paths=no
export ac_cv_func__hurd_exec_paths=no
export ac_cv_func__hurd_libc_proc_init=no
export ac_cv_func_file_utimens=no
export LEX=:
export YACC=:
export MIG=:
  endif
endif
CONFIGURE_ARGS += prefix=/usr libdir=/usr/lib/$(DEB_HOST_MULTIARCH) sysconfdir=/etc localstatedir=/var
CONFIGURE_ARGS_deb =
CONFIGURE_ARGS_udeb = libdir=/usr/lib --without-libdaemon --without-libbz2
SUID_PROGRAMS = /usr/bin/ids /usr/bin/login /usr/bin/ps-hurd /usr/bin/w-hurd /usr/sbin/smp

INSTALL_in := $(wildcard debian/*.install.in)
INSTALL_generated := $(patsubst %.in,%,$(INSTALL_in))

BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libc0.3-dev libparted-dev zlib1g-dev libbz2-dev uuid-dev libblkid-dev)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
       CC=gcc
else
       CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

# for libdde-linux26 ARCH
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
  ARCH = amd64
else
  ARCH = x86
endif

%:
	dh $@ -Bbuild-deb

#UBSAN=-Wl,-as-needed -fsanitize=undefined -fsanitize-address-use-after-scope

# Avoid re-running configure each time. See Bug#966707
override_dh_auto_configure-arch: debian/configure-stamp-arch
debian/configure-stamp-arch:
	dh_auto_configure -Bbuild-deb -- $(CONFIGURE_ARGS) $(CONFIGURE_ARGS_deb) $(shell DEB_CFLAGS_MAINT_APPEND="-fno-omit-frame-pointer $(UBSAN)" dpkg-buildflags --export=configure)
	dh_auto_configure -phurd-prof -Bbuild-prof -- $(CONFIGURE_ARGS) $(CONFIGURE_ARGS_deb) $(shell DEB_CFLAGS_MAINT_APPEND="-fno-omit-frame-pointer -pg" dpkg-buildflags --export=configure)
	dh_auto_configure -phurd-udeb -Bbuild-udeb -- $(CONFIGURE_ARGS) $(CONFIGURE_ARGS_udeb) $(shell dpkg-buildflags --export=configure)
	touch $@
	touch debian/configure-stamp-indep

override_dh_auto_configure-indep: debian/configure-stamp-indep
debian/configure-stamp-indep:
	# Force dumb cross-compilation
	dh_auto_configure -i -- --host i386-gnu MIG=true --without-parted
	touch $@

override_dh_auto_build-arch:
	@echo 'blhc: ignore-line-regexp: .* -o libstore_.*\.a -u .*'
	@echo 'blhc: ignore-line-regexp: .*gen_crc32table.*'
ifeq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
	dh_auto_build -Bbuild-deb
  ifeq (,$(filter stage2 pkg.hurd.noprof,$(DEB_BUILD_PROFILES)))
	dh_auto_build -phurd-prof -Bbuild-prof
	for i in $(TRANSLATORS_PROF) ; do \
		$(MAKE) -C build-prof/$$i $$i.static ; \
	done
  endif
	dh_auto_build -phurd-udeb -Bbuild-udeb
  ifeq (,$(filter stage2,$(DEB_BUILD_PROFILES)))
	install -d $(CURDIR)/libdde-linux26/build/include/x86
	-ln -s x86 $(CURDIR)/libdde-linux26/build/include/amd64
	-ln -s asm-x86 $(CURDIR)/libdde-linux26/build/include/amd64/asm-x86_64
	$(MAKE) -C libdde-linux26 BUILDDIR=$(CURDIR)/build-deb ARCH=$(ARCH) LDFLAGS= CC=$(CC)
  endif
endif

override_dh_auto_build-indep:
	cd build-deb/doc && make
	cd build-deb/doc && make version.texi && makeinfo --html --split=chapter ../../doc/hurd.texi

override_dh_auto_clean:
	dh_auto_clean -Bbuild-deb
	dh_auto_clean -phurd-prof -Bbuild-prof
	dh_auto_clean -phurd-udeb -Bbuild-udeb
	$(MAKE) -C libdde-linux26 ARCH=$(ARCH) cleanall
	rm -f $$(find libdde-linux26 -name \*.d)
	rm -fr libdde-linux26/build
	rm -fr libdde-linux26/lib/src/gen_crc32table libdde-linux26/lib/src/crc32table.h libdde-linux26/lib/src/timeconst.h
	rm -f $(INSTALL_generated)

override_dh_auto_install-arch:
ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
	$(MAKE) -Cbuild-deb DESTDIR=$(DEB_DESTDIR) install-headers no_deps=t
else
	dh_auto_install -Bbuild-deb --destdir=$(DEB_DESTDIR)
  ifeq (,$(filter stage2 pkg.hurd.noprof,$(DEB_BUILD_PROFILES)))
	install -d $(DEB_DESTDIR_PROF)/hurd
	for i in $(TRANSLATORS_PROF) ; do \
		install -m 755 build-prof/$$i/$$i.static $(DEB_DESTDIR_PROF)/hurd/$$i.prof ; \
	done
  endif
	dh_auto_install -phurd-udeb -Bbuild-udeb --destdir=$(DEB_DESTDIR_UDEB)
  ifeq (,$(filter stage2,$(DEB_BUILD_PROFILES)))
	install -d $(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include
	ln -s x86 $(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include/amd64
	$(MAKE) -C libdde-linux26 INSTALLDIR=$(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include ARCH=$(ARCH) install
	ln -s asm-x86 $(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include/amd64/asm-x86_64
  endif

	# runsystem is managed by update-alternatives
	mv debian/tmp/usr/libexec/runsystem debian/tmp/usr/libexec/runsystem.gnu

	# move away fakeroot, ps, uptime, vmstat and w to not conflict with the
	# ones from other packages
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/usr/bin/fakeroot debian/tmp/usr/bin/fakeroot-hurd
	mv debian/tmp/usr/bin/ps debian/tmp/usr/bin/ps-hurd
	mv debian/tmp/usr/bin/uptime debian/tmp/usr/bin/uptime-hurd
	mv debian/tmp/usr/bin/vmstat debian/tmp/usr/bin/vmstat-hurd
	mv debian/tmp/usr/bin/w debian/tmp/usr/bin/w-hurd

  ifeq (,$(filter stage2 noudeb,$(DEB_BUILD_PROFILES)))
	mkdir -p debian/tmp-udeb/usr/bin
	mv debian/tmp-udeb/usr/bin/ps debian/tmp-udeb/usr/bin/ps-hurd
	mv debian/tmp-udeb/usr/bin/uptime debian/tmp-udeb/usr/bin/uptime-hurd
	mv debian/tmp-udeb/usr/bin/vmstat debian/tmp-udeb/usr/bin/vmstat-hurd
	mv debian/tmp-udeb/usr/bin/w debian/tmp-udeb/usr/bin/w-hurd
  endif

	# move away halt and reboot to not conflict with sysvinit
	# (they will be handled as alternatives)
	mv debian/tmp/usr/sbin/halt debian/tmp/usr/sbin/halt-hurd
	mv debian/tmp/usr/sbin/reboot debian/tmp/usr/sbin/reboot-hurd

	# remove PIC static libraries
	rm -f debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/*_pic.a
	rm -f debian/tmp-udeb/usr/lib/*_pic.a
endif

override_dh_auto_install-indep:
	$(MAKE) -Cbuild-deb/doc DESTDIR=$(DEB_DESTDIR) install no_deps=t

override_dh_install-arch: $(INSTALL_generated)
ifeq (,$(filter stage1 stage2 noudeb,$(DEB_BUILD_PROFILES)))
	dh_install $(addprefix -p,$(filter %-udeb,$(shell dh_listpackages))) --sourcedir=debian/tmp-udeb
	mkdir -p debian/hurd-udeb/usr/share/lintian/overrides
	install -p -m644 debian/hurd-udeb.lintian-overrides debian/hurd-udeb/usr/share/lintian/overrides/hurd-udeb
	sed -i -e '1s/bash/sh/' debian/hurd-udeb/usr/sbin/MAKEDEV
	# We need /servers/exec and startup at boot time
	touch debian/hurd-udeb/servers/exec

## hurd 0.9.git20250622

=== rumpdisk/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 RUMPLIBS=rump rumpuser rumpdev rumpdev_disk rumpdev_pci rumpvfs
 RUMPSATA=rumpdev_ahcisata rumpdev_piixide rumpdev_ata
-RUMPUSB=rumpdev_usb rumpdev_pci_usbhc rumpdev_umass
+RUMPUSB=rumpdev_usb rumpdev_pci_usbhc rumpdev_umass rumpdev_scsipi
 RUMPEXTRA=rumpdev_scsipi
 
 # If we have a configured tree, include the configuration so that we
@@ -36,7 +36,7 @@
 SRCS = main.c block-rump.c
 LCLHDRS = block-rump.h ioccom-rump.h
 targets = rumpdisk rumpusbdisk
-HURDLIBS = machdev ports trivfs shouldbeinlibc iohelp ihash fshelp
+HURDLIBS = machdev ports trivfs shouldbeinlibc iohelp ihash fshelp irqhelp
 LDLIBS += -lpthread -lpciaccess -ldl $(RUMPEXTRA:%=-l%_pic) \
 	  -Wl,--whole-archive $(RUMPLIBS:%=-l%_pic) -Wl,--no-whole-archive
